ApplicationInventoryHelper (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.application.monitor.visibility.ApplicationInventoryHelper class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.application.monitor.visibility
Class ApplicationInventoryHelper

    java.lang.Object
      org.hyperic.hq.ui.action.resource.common.monitor.visibility.InventoryHelper
          org.hyperic.hq.ui.action.resource.application.monitor.visibility.ApplicationInventoryHelper

    public class ApplicationInventoryHelper

extends InventoryHelper

A class that provides application-specific implementations of utility methods for common monitoring tasks.

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.InventoryHelper
`entityId, log`

Constructor Summary
`ApplicationInventoryHelper(AppdefEntityID entityId)`

Method Summary
`java.util.Map` | `getChildCounts(javax.servlet.http.HttpServletRequest request, javax.servlet.ServletContext ctx, AppdefResourceValue resource)` Get from the Bizapp the numbers of children of the given resource.
`AppdefResourceType` | `getChildResourceType(javax.servlet.http.HttpServletRequest request, javax.servlet.ServletContext ctx, AppdefEntityTypeID id)` Get a service type from the Bizapp.
`java.util.List` | `getChildResourceTypes(javax.servlet.http.HttpServletRequest request, javax.servlet.ServletContext ctx, AppdefResourceValue resource)` Get the set of service types representing an application's services.
`boolean` | `selectDefaultSubtab()` Return a boolean indicating that the default subtab should not be selected, since the Entry Points subtab will be the default selection.

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.InventoryHelper
`getHelper, getSelectedChildId, getSelectedChildId, getSelectedChildType, isResourceConfigured, showPerformanceSubtabs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationInventoryHelper

    public ApplicationInventoryHelper(AppdefEntityID entityId)

Method Detail

### getChildResourceTypes

    public java.util.List getChildResourceTypes(javax.servlet.http.HttpServletRequest request,
                                                javax.servlet.ServletContext ctx,
                                                AppdefResourceValue resource)
                                         throws PermissionException,
                                                AppdefEntityNotFoundException,
                                                java.rmi.RemoteException,
                                                SessionNotFoundException,
                                                SessionException,
                                                javax.servlet.ServletException

  Get the set of service types representing an application's services.

  Specified by:
    `getChildResourceTypes` in class `InventoryHelper`
  Parameters:
    `request` - the http request
    `ctx` - the servlet context
    `resource` - the application
  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`
    `java.rmi.RemoteException`
    `SessionNotFoundException`
    `SessionException`
    `javax.servlet.ServletException`

### getChildResourceType

    public AppdefResourceType getChildResourceType(javax.servlet.http.HttpServletRequest request,
                                                   javax.servlet.ServletContext ctx,
                                                   AppdefEntityTypeID id)
                                            throws PermissionException,
                                                   AppdefEntityNotFoundException,
                                                   java.rmi.RemoteException,
                                                   SessionNotFoundException,
                                                   SessionTimeoutException,
                                                   javax.servlet.ServletException

  Get a service type from the Bizapp.

  Specified by:
    `getChildResourceType` in class `InventoryHelper`
  Parameters:
    `request` - the http request
    `ctx` - the servlet context
    `id` - the id of the service type
  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`
    `java.rmi.RemoteException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `javax.servlet.ServletException`

### getChildCounts

    public java.util.Map getChildCounts(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.ServletContext ctx,
                                        AppdefResourceValue resource)
                                 throws PermissionException,
                                        AppdefEntityNotFoundException,
                                        java.rmi.RemoteException,
                                        SessionException,
                                        javax.servlet.ServletException

  Get from the Bizapp the numbers of children of the given resource. Returns a `Map` of counts keyed by child resource type.

  Specified by:
    `getChildCounts` in class `InventoryHelper`
  Parameters:
    `request` - the http request
    `resource` - the appdef resource whose children we are counting
  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`
    `java.rmi.RemoteException`
    `SessionException`
    `javax.servlet.ServletException`

### selectDefaultSubtab

    public boolean selectDefaultSubtab()

  Return a boolean indicating that the default subtab should not be selected, since the Entry Points subtab will be the default selection.

  Overrides:
    `selectDefaultSubtab` in class `InventoryHelper`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.